Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.whatsapp-use.com/v1/whatsapp/sync \
--header 'Authorization: Bearer <token>'{
"conversations": [
{
"conversation_id": "<string>",
"chat_jid": "<string>",
"kind": "<string>",
"subject": "<string>",
"direct_person_id": "<string>",
"is_archived": true,
"last_message_at": "2023-11-07T05:31:56Z",
"participants": [
{
"participant_jid": "<string>",
"person_id": "<string>",
"role": "<string>"
}
],
"seq": 123
}
],
"contacts": [
{
"person_id": "<string>",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"whatsapp_push_name": "<string>",
"phone_e164": "<string>",
"phone_jid": "<string>",
"lid_jid": "<string>"
}
],
"messages": [
{
"message_id": "<string>",
"conversation_id": "<string>",
"chat_jid": "<string>",
"wa_message_id": "<string>",
"sender_jid": "<string>",
"sender_push_name": "<string>",
"direction": "<string>",
"is_from_me": true,
"content_type": "<string>",
"body": "<string>",
"status": "<string>",
"reply_to_wa_id": "<string>",
"reactions": {},
"media": {},
"sent_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"seq": 123
}
],
"cursor": 123,
"has_more": true
}curl --request GET \
--url https://api.whatsapp-use.com/v1/whatsapp/sync \
--header 'Authorization: Bearer <token>'{
"conversations": [
{
"conversation_id": "<string>",
"chat_jid": "<string>",
"kind": "<string>",
"subject": "<string>",
"direct_person_id": "<string>",
"is_archived": true,
"last_message_at": "2023-11-07T05:31:56Z",
"participants": [
{
"participant_jid": "<string>",
"person_id": "<string>",
"role": "<string>"
}
],
"seq": 123
}
],
"contacts": [
{
"person_id": "<string>",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"whatsapp_push_name": "<string>",
"phone_e164": "<string>",
"phone_jid": "<string>",
"lid_jid": "<string>"
}
],
"messages": [
{
"message_id": "<string>",
"conversation_id": "<string>",
"chat_jid": "<string>",
"wa_message_id": "<string>",
"sender_jid": "<string>",
"sender_push_name": "<string>",
"direction": "<string>",
"is_from_me": true,
"content_type": "<string>",
"body": "<string>",
"status": "<string>",
"reply_to_wa_id": "<string>",
"reactions": {},
"media": {},
"sent_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"seq": 123
}
],
"cursor": 123,
"has_more": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when the API key can access multiple WhatsApp connections.
Changed conversations, contacts, messages, and next cursor.
Hide child attributes
Hide child attributes